Subject: bug#53580: /var/run/shepherd/socket is missing on an otherwise functional system

From: Attila Lendvai <[email-masked]>
Date: Mon, 04 Apr 2022 07:15:00 +0000

FTR,

the issue is that when Shepherd is booting up, i.e. starting from its config file, it calls the start forms without guarding for any possible exceptions. any error propagates up beyond the loop and up until an unwind protect that deletes the socket.

the reason my system seemed fully functional is that my service was pretty much the last one to be started.

--
• attila lendvai
• PGP: 963F 5D5F 45C7 DFCD 0A39
--
“I made up the term 'object-oriented', and I can tell you I didn't have C++ in mind.”
	— Alan Kay, OOPSLA '97